package com.example.calendaryapp;

import com.google.gson.annotations.SerializedName;


/**
 * Clase calendario de minuta
 * @author Carlos Fernandez, Sergio Castro, Javier Ortiz
 */


public class CalendarioMinuta {
    private Dia Lunes = new Dia();
    private Dia Martes = new Dia();
    private Dia Miercoles = new Dia();
    private Dia Jueves = new Dia();
    private Dia Viernes = new Dia();

    public CalendarioMinuta(){

        //Lunes
        /**
        * Visor de texto del titulo del libro
        */
        Lunes.setAlmuerzo("Almuerzo Dia Lunes");
        Lunes.setDietas("Dieta dia Lunes");
        Lunes.setVegetariano("Vegetariano dia Lunes");
        //Martes
        Martes.setAlmuerzo("Almuerzo Dia Martes");
        Martes.setDietas("Dieta dia Mar");
        Martes.setVegetariano("Vegetariano dia Ma");
        //Miercoles
        Miercoles.setAlmuerzo("Almuerzo Dia MI");
        Miercoles.setDietas("Dieta dia mi");
        Miercoles.setVegetariano("Vegetariano dia mi");
        //Jueves
        Jueves.setAlmuerzo("Almuerzo Dia J");
        Jueves.setDietas("Dieta dia J");
        Jueves.setVegetariano("Vegetariano dia J");
        //Viernes
        Viernes.setAlmuerzo("Almuerzo Dia V");
        Viernes.setDietas("Dieta dia V");
        Viernes.setVegetariano("Vegetariano dia V");
    }
    /*
        private String AlmuerzoLunes(){
            Lunes.getAlmuerzo();
        }

        private String DietaLunes(){
            Lunes.getDietas();
        }
        private String VegeLunes(){
            Lunes.getVegetariano();
        }

        private String AlmuerzoMartes(){
            Martes.getAlmuerzo();
        }
        private String AlmuerzoMartes(){
            Martes.getDietas();
        }
        private String AlmuerzoMartes(){
            Martes.getVegetariano();
        }
    */
    class Dia{
        @SerializedName("Almuerzos")
        private String Almuerzo;
        @SerializedName("Dieta")
        private String Dietas;
        @SerializedName("Vegetarianos")
        private String Vegetariano;

        public Dia(){}

        public void setAlmuerzo(String almuerzo) {
            Almuerzo = almuerzo;
        }
        public void setDietas(String dietas) {
            Dietas = dietas;
        }
        public void setVegetariano(String vegetariano) {
            Vegetariano = vegetariano;
        }

        private String getAlmuerzo(){
            return Almuerzo;
        }
        private String getDietas(){
            return Dietas;
        }
        private String getVegetariano(){
            return Vegetariano;
        }


    }



}